Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.util
Class JNDIUtil

    java.lang.Object
      org.jboss.jms.util.JNDIUtil

public class JNDIUtil
extends java.lang.Object

Version:
  `$Revision: 1.5 $` $Id: JNDIUtil.java,v 1.5 2006/03/19 05:33:59 ovidiu Exp $
Author:
  Ovidiu Feodorov

Constructor Summary
`JNDIUtil()`

Method Summary
`static javax.naming.Context` | `createContext(javax.naming.Context c, java.lang.String path)` Create a context path recursively.
`static void` | `rebind(javax.naming.Context c, java.lang.String jndiName, java.lang.Object o)` Context.rebind() requires that all intermediate contexts and the target context (that named by all but terminal atomic component of the name) must already exist, otherwise NameNotFoundException is thrown.
`static void` | `tearDownRecursively(javax.naming.Context c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIUtil

    public JNDIUtil()

Method Detail

### createContext

    public static javax.naming.Context createContext(javax.naming.Context c,
                                                     java.lang.String path)
                                              throws javax.naming.NamingException

  Create a context path recursively.

  Throws:
    `javax.naming.NamingException`

### tearDownRecursively

    public static void tearDownRecursively(javax.naming.Context c)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rebind

    public static void rebind(javax.naming.Context c,
                              java.lang.String jndiName,
                              java.lang.Object o)
                       throws javax.naming.NamingException

  Context.rebind() requires that all intermediate contexts and the target context (that named by all but terminal atomic component of the name) must already exist, otherwise NameNotFoundException is thrown. This method behaves similar to Context.rebind(), but creates intermediate contexts, if necessary.

  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.